com.pivotal.gemfirexd.internal.client.net

## Class NetResultSetReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Reply
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionReply
    - - com.pivotal.gemfirexd.internal.client.net.NetPackageReply
      - - com.pivotal.gemfirexd.internal.client.net.NetStatementReply
        - - com.pivotal.gemfirexd.internal.client.net.NetResultSetReply

All Implemented Interfaces:
  ConnectionReplyInterface, ResultSetReplyInterface, StatementReplyInterface

Direct Known Subclasses:
  NetXAConnectionReply

    public class NetResultSetReply
    extends NetStatementReply
    implements ResultSetReplyInterface

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`agent_, buffer_, count_, DEFAULT_BUFFER_SIZE, dssCorrelationID_, dssIsContinued_, dssLength_, END_OF_COLLECTION, END_OF_SAME_ID_CHAIN, ensuredLengthForDecryption_, longBufferForDecryption_, longCountForDecryption_, longPosForDecryption_, longValueForDecryption_, netAgent_, peekedCodePoint_, peekedLength_, pos_`

### Constructor Summary

Constructors
Constructor and Description
`NetResultSetReply(NetAgent netAgent, int bufferSize)`

### Method Summary

Methods
`void` `readCursorClose(ResultSetCallbackInterface resultSet)`
`void` `readFetch(ResultSetCallbackInterface resultSet)`
`void` `readPositioningFetch(ResultSetCallbackInterface resultSet)`
`void` `readScrollableFetch(ResultSetCallbackInterface resultSet)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetStatementReply

`copyEXTDTA, parseENDQRYRM, parseEndQuery, parseFastQRYATTSCR, parseFastQRYATTSET, parseFastQRYATTSNS, parseFastQRYATTUPD, parseFastQRYPRCTYP, parseFastSQLCSRHLD, parseOpenQuery, parseOPNQRYRM, parsePKGNAMCSN, parsePKGSNLST, parseQRYATTSCR, parseQRYATTSET, parseQRYATTSNS, parseQRYATTUPD, parseQRYDSC, parseQRYDTA, parseQRYPRCTYP, parseResultSetCursor, parseResultSetProcedure, parseRSLSETRM, parseSQLCINRD, parseSQLCSRHLD, parseSQLDARD, parseSQLDTARD, parseSQLRSLRD, readDescribeInput, readDescribeOutput, readExecute, readExecuteCall, readExecuteImmediate, readOpenQuery, readPrepare, readPrepareDescribeOutput, readSetSpecialRegister, readStatementID`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetPackageReply

`parsePKGNAMCT, parseRDBUPDRM`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetConnectionReply

`checkAndGetReceivedFlag, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, checkRequiredObjects, doObjnsprmSemantics, doPrccnvrmSemantics, doPrmnsprmSemantics, parseCCSIDDBC, parseCCSIDMBC, parseCCSIDSBC, parseCMDCHKRM, parseCMDNSPRM, parseCODPNT, parseCODPNTDR, parseCommitError, parseCRRTKN, parseEXTNAM, parseFastSVRCOD, parseFastVCS, parseIndoubtList, parseInitialPBSD, parseMGRLVLN, parsePBSD, parsePRCCNVCD, parsePRCCNVRM, parsePRDID, parseRDBNAM, parseSECCHKCD, parseSECMEC, parseSECTKN, parseSQLCARD, parseSRVCLSNM, parseSRVNAM, parseSRVRLSLV, parseSVRCOD, parseSYNCCTLreply, parseSYNCTYPE, parseSYNERRCD, parseSYNTAXRM, parseTypdefsOrMgrlvlovrs, parseUOWDSP, parseUSRID, parseVALNSPRM, parseXARETVAL, parseXID, parseXIDCNT, readCommitSubstitute, readLocalCommit, readLocalRollback, readLocalXACommit, readLocalXARollback, readLocalXAStart, readXaCommit, readXaEndUnitOfWork, readXaForget, readXaPrepare, readXaRecover, readXaRollback, readXaStartUnitOfWork`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Reply

`adjustDdmLength, adjustLengths, endOfSameIdChainData, ensureALayerDataInBuffer, ensureBLayerDataInBuffer, ensureSpaceInBufferForFill, fill, matchCodePoint, parseLengthAndMatchCodePoint, peekCodePoint, peekFastBytes, peekFastLength, peekForNullSqlcagrp, peekLength, peekNumOfColumns, peekTotalColumnCount, popCollectionStack, pushLengthOnCollectionStack, readDSSContinuationHeader, readDssHeader, readLengthAndCodePoint, startSameIdChainParse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetResultSetReply

    public NetResultSetReply(NetAgent netAgent,
                     int bufferSize)

### Method Detail

#### readFetch

    public void readFetch(ResultSetCallbackInterface resultSet)
                   throws DisconnectException

Specified by:
  `readFetch` in interface `ResultSetReplyInterface`
Throws:
  `DisconnectException`

#### readPositioningFetch

    public void readPositioningFetch(ResultSetCallbackInterface resultSet)
                              throws DisconnectException

Specified by:
  `readPositioningFetch` in interface `ResultSetReplyInterface`
Throws:
  `DisconnectException`

#### readScrollableFetch

    public void readScrollableFetch(ResultSetCallbackInterface resultSet)
                             throws DisconnectException

Specified by:
  `readScrollableFetch` in interface `ResultSetReplyInterface`
Throws:
  `DisconnectException`

#### readCursorClose

    public void readCursorClose(ResultSetCallbackInterface resultSet)
                         throws DisconnectException

Specified by:
  `readCursorClose` in interface `ResultSetReplyInterface`
Throws:
  `DisconnectException`